DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# ChordLength

Compute the chord lengths of the different phases

## SYNOPSIS

`#include "dip_analysis.h"`

dip_Error dip_ChordLength ( object, mask, dist, probes, length, sampling )

## DATA TYPES

binary, integer

## FUNCTION

This function computes the chord lengths of the different phases in `object`. If `object` is a binary image, the image is a regarded as a two phase image. In case `object` is of the integer type, the image is regarded as a labeled image, with each integer value encoding a phase. Optionally a `mask` image can be provided to select which pixels in `object` should be used to compute the chord lengths. The `probes` variable specifies how many random point pairs should be drawn to compute the lengths. `Length` specifies the maximum correlation length. The correlation function can be computed using a random (`DIP_CORRELATION_ESTIMATOR_RANDOM`) or grid method (`DIP_CORRELATION_ESTIMATOR_GRID`), as specified by `sampling`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `object` | Object image
`dip_Image` | `mask` | Mask image
`dip_Distribution` | `dist` | Ouput distribution
`dip_int` | `probes` | Number of probes
`dip_int` | `length` | Maximum chord length
`dipf_CorrelationEstimator` | `sampling` | Samplings method

## SEE ALSO

`PairCorrelation`, `ProbabilisticPairCorrelation`